@mixin make-placement($s) {
    #{$s}t-initial{
        top: initial;
    }
    #{$s}r-initial{
        right: initial;
    }
    #{$s}b-initial{
        bottom: initial;
    }
    #{$s}l-initial{
        left: initial;
    }
    #{$s}t-0{
        top: 0;
    }
    #{$s}r-0{
        right: 0;
    }
    #{$s}b-0{
        bottom: 0;
    }
    #{$s}l-0{
        left: 0;
    }
    #{$s}t-auto{
        top: auto;
    }
    #{$s}r-auto{
        right: auto;
    }
    #{$s}b-auto{
        bottom: auto;
    }
    #{$s}l-auto{
        left: auto;
    }

    #{$s}t-100pr{
        top: 100%;
    }
    #{$s}r-100pr{
        right: 100%;
    }
    #{$s}b-100pr{
        bottom: 100%;
    }
    #{$s}l-100pr{
        left: 100%;
    }

    #{$s}-t-100pr{
        top: -100%;
    }
    #{$s}-r-100pr{
        right: -100%;
    }
    #{$s}-b-100pr{
        bottom: -100%;
    }
    #{$s}-l-100pr{
        left: -100%;
    }

    #{$s}y-0{
        top: 0;
        bottom: 0;
    }
    #{$s}x-0{
        right: 0;
        left: 0;
    }

    #{$s}y-initial{
        top: initial;
        bottom: initial;
    }
    #{$s}x-initial{
        right: initial;
        left: initial;
    }

    #{$s}y-auto{
        top: auto;
        bottom: auto;
    }
    #{$s}x-auto{
        right: auto;
        left: auto;
    }

    #{$s}inset-{
        &0{
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
        }
        &initial{
            top: initial;
            right: initial;
            bottom: initial;
            left: initial;
        }
        &auto{
            top: auto;
            right: auto;
            bottom: auto;
            left: auto;
        }
    }
}